SOURCES: pound.init - add flush-logs

glen glen at pld-linux.org
Fri Jan 9 14:49:57 CET 2009


Author: glen                         Date: Fri Jan  9 13:49:57 2009 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- add flush-logs

---- Files affected:
SOURCES:
   pound.init (1.17 -> 1.18) 

---- Diffs:

================================================================
Index: SOURCES/pound.init
diff -u SOURCES/pound.init:1.17 SOURCES/pound.init:1.18
--- SOURCES/pound.init:1.17	Thu Jan  8 16:44:05 2009
+++ SOURCES/pound.init	Fri Jan  9 14:49:51 2009
@@ -182,6 +182,21 @@
   restart|force-reload)
 	restart
 	;;
+  flush-logs)
+	if [ -f /var/lock/subsys/pound ]; then
+		for instance in $POUND_INSTANCES; do
+			show "Rotating Pound logs for %s instance" $instance
+			killproc --pidfile /var/run/pound/$instance.pid pound -USR1
+			ret=$?
+			if [ $ret != 0 ]; then
+			   	RETVAL=$ret
+			fi
+		done
+	else
+		msg_not_running "Pound"
+		RETVAL=7
+	fi
+	;;
   *)
 	msg_usage "$0 {start|stop|restart|force-reload|status} [INSTANCE NAMES]"
 	exit 3
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/pound.init?r1=1.17&r2=1.18&f=u



More information about the pld-cvs-commit mailing list